Bug 994123 - ctrl+alt+esc does not activate xkill
ctrl+alt+esc does not activate xkill
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: lxqt-globalkeys (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Helio Chissini de Castro
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: LXQt
  Show dependency treegraph
 
Reported: 2013-08-06 10:31 EDT by Karel Volný
Modified: 2016-12-20 07:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 07:40:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of lxqt-config-globalkeyshortcuts (81.58 KB, image/png)
2015-02-04 08:41 EST, Karel Volný
no flags Details
packages installed (14.71 KB, text/plain)
2015-02-10 07:40 EST, Karel Volný
no flags Details
strace of lxqt-config-globalkeyshortcuts run (595.16 KB, text/plain)
2015-02-10 07:40 EST, Karel Volný
no flags Details

  None (edit)
Description Karel Volný 2013-08-06 10:31:09 EDT
Description of problem:
SSIA, trying to get rid of stuck window, Control+Alt+Escape combo does not invoke the cursor of death.

Version-Release number of selected component (if applicable):
xorg-x11-server-utils-7.7-1.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1. hit ctrl+alt+esc
2. stare at the mouse pointer
3. leftclick this very window

Actual results:
2. you see the normal pointer, the appearance may vary depending on the area it hovers over
3. nothing happens (almost nothing, depending what is the normal reaction of the application you hit)

Expected results:
2. the pointer changes to skull or something like that, depending on your environment and theme, and it doesn't change to anything else while hovering over various areas
3. the window magically disappears, possibly causing also the death of the application that created it

Additional info:
I'm using razor-qt as a desktop, if that matters
Comment 1 Fedora End Of Life 2015-01-09 14:19:18 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Karel Volný 2015-02-03 11:08:07 EST
(In reply to Karel Volný from comment #0)
> Additional info:
> I'm using razor-qt as a desktop, if that matters

yes, it does seem to matter, so reassigning to lxqt - I can reproduce the problem on F21 with lxqt, while with KDE, xkill gets activated properly
Comment 3 Raphael Groner 2015-02-03 11:19:18 EST
$ lxqt-config-globalkeyshortcuts

There you go. This works for me in LXQt environment. I can not tell for other desktop session. What do you exactly use?

Feel free to reopen if my suggestion is not sufficient.
Comment 4 Karel Volný 2015-02-04 08:40:14 EST
(In reply to Raphael Groner from comment #3)
> $ lxqt-config-globalkeyshortcuts
> 
> There you go. This works for me in LXQt environment.

a) xkill should work out of the box, without configuring (I haven't configured it in KDE ...)

b) running lxqt-config-globalkeyshortcuts, the buttons like "Add" are grayed out, I cannot change any shortcuts (and it even doesn't list any)

> What do you exactly use?

um, not sure what do you ask about?
Comment 5 Karel Volný 2015-02-04 08:41:30 EST
Created attachment 988088 [details]
screenshot of lxqt-config-globalkeyshortcuts
Comment 6 Raphael Groner 2015-02-04 12:24:01 EST
Have you tried to reinstall all lxqt packages? Sorry, I can only guess some issues on file system level or broken configuration files cause lxqt ships a standard configuration also for shortcuts.
Comment 7 Raphael Groner 2015-02-04 12:24:36 EST
… And try with a fresh user?
Comment 8 Karel Volný 2015-02-05 06:09:19 EST
(In reply to Raphael Groner from comment #6)
> Have you tried to reinstall all lxqt packages?

something like

rpm -qa | grep lxqt | xargs dnf reinstall -y

?

- did not help

> Sorry, I can only guess some issues on file system level or broken
> configuration files cause lxqt ships a standard configuration also
> for shortcuts.

so, which files are that, how can I check they are present with correct contents?

(In reply to Raphael Groner from comment #7)
> … And try with a fresh user?

the same
Comment 9 Raphael Groner 2015-02-05 10:07:14 EST
(In reply to Karel Volný from comment #8)
…
> so, which files are that, how can I check they are present with correct
> contents?

$ ls -l ~/.config/lxqt

There should be a globalkeyshortcuts.conf file.
Comment 10 Karel Volný 2015-02-09 08:29:36 EST
(In reply to Raphael Groner from comment #9)
> (In reply to Karel Volný from comment #8)
> …
> > so, which files are that, how can I check they are present with correct
> > contents?
> 
> $ ls -l ~/.config/lxqt
> 
> There should be a globalkeyshortcuts.conf file.

well, this one is missing, and it doesn't get created after running lxqt-config-globalkeyshortcuts

if I take a look at the other files, some with the same name (lxqt.conf, pannel.conf, session.conf) can be found in /etc/xdg/lxqt but there's no globalkeyshortcuts.conf anywhere (`dnf provides */globalkeyshortcuts.conf` also doesn't find anything, while trying that with '*/lxqt.conf' it is found in lxqt-common)
Comment 11 Raphael Groner 2015-02-09 10:10:02 EST
What version of LXQt are you using? Are you sure to have write access to the  ~/.config/lxqt folder?

I tried to reproduce your issue with 0.8.0 but it works for me. So I am running out of any ideas how to help.
Comment 12 Karel Volný 2015-02-10 07:40:02 EST
Created attachment 990066 [details]
packages installed
Comment 13 Karel Volný 2015-02-10 07:40:58 EST
Created attachment 990067 [details]
strace of lxqt-config-globalkeyshortcuts run
Comment 14 Karel Volný 2015-02-10 08:23:10 EST
(In reply to Raphael Groner from comment #11)
> What version of LXQt are you using?

0.8.0

please see the attached list of installed packages for details

> Are you sure to have write access to the ~/.config/lxqt folder?

yes, no problem here

but running it with strace, it seems it doesn't even try to access the file

I'm pretty confused about that ...

looking into sources, it only appers in daemon/main.cpp as

#define DEFAULT_CONFIG ".config/lxqt/globalkeyshortcuts.conf"

and the constant is then only used in help and to fill in configFiles if empty, which is then passed to the daemon

it isn't used anywhere within the config tool, so it seems the tool can read/write config only via the daemon

but that's beyond my poor C++ and even poorer Qt classes knowledge to understand how it works :-(

however, it leads me to a suspicion there's a problem with the daemon ...

and indeed, I don't see it in the list of running processes

so trying to run from the commandline:

$ lxqt-globalkeysd
[Critical] Cannot register service 'org.lxqt.global_key_shortcuts'
[Notice] Stopped

uh, oh ...

what do I see, or rather do not see, is any selinux denial ... okay, let's strace again ... and I see it tries to run dbus-launch from a dozen of locations that do not contain it

let's ask the package manager then -

# dnf provides */dbus-launch
dbus-x11-1:1.8.6-3.fc21.x86_64: X11-requiring add-ons for D-BUS
Repo        : fedora

dbus-x11-1:1.8.14-1.fc21.x86_64: X11-requiring add-ons for D-BUS
Repo        : fedora


cool, dbus-x11 is needed but it didn't get pulled in as a dependency
- going to file a new bug about that

so, after installing dbus-x11 and rebooting, I see lxqt-globalkeysd running, and lxqt-config-globalkeyshortcuts has no longer the "Add" button grayed out

but it didn't fix the original issue - xkill is not activated on ctrl-alt-esc

so, please, add a default shortcuts config which would enable this action by default, without having to explicitly configure it for each user
Comment 15 Helio Chissini de Castro 2015-02-10 08:47:53 EST
Hi

Can you verify after current globalkeys 0.9.0-4 release ?

Thanks in advance
Comment 16 Karel Volný 2015-09-22 06:31:39 EDT
(In reply to Helio Chissini de Castro from comment #15)
> Can you verify after current globalkeys 0.9.0-4 release ?

I no longer have it installed on real hardware, but trying in qemu, it seems it doesn't work with lxqt-globalkeys-0.9.0-5.fc22.x86_64 and xorg-x11-server-utils-7.7-15.fc22.x86_64

I've used Fedora-Workstation-netinst-x86_64-22.iso for installation and chosen LXQT

after installing ang logging in, I've started up qterminal to query the package version

then I've switched to qemu monitor and issued 'sendkey ctrl-alt-escape'

after switching back to 'VGA', the mouse cursor did not change into xkill skull and clicking into the qterminal window have not killed it
Comment 17 Fedora Update System 2015-11-02 19:54:02 EST
pcmanfm-qt-0.10.0-1.fc22 lxqt-session-0.10.0-1.fc22 lxqt-runner-0.10.0-1.fc22 lxqt-qtplugin-0.10.0-1.fc22 lxqt-powermanagement-0.10.0-1.fc22 lxqt-policykit-0.10.0-1.fc22 lxqt-panel-0.10.0-1.fc22 lxqt-openssh-askpass-0.10.0-1.fc22 lxqt-globalkeys-0.10.0-1.fc22 lxqt-config-0.10.0-1.fc22 lxqt-common-0.10.0-1.fc22 lxqt-about-0.10.0-1.fc22 liblxqt-0.10.0-1.fc22 libqtxdg-1.3.0-1.fc22 libsysstat-0.3.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1236ae97a3
Comment 18 Fedora Update System 2015-11-02 19:54:02 EST
pcmanfm-qt-0.10.0-1.fc23 lxqt-session-0.10.0-1.fc23 lxqt-runner-0.10.0-1.fc23 lxqt-qtplugin-0.10.0-1.fc23 lxqt-powermanagement-0.10.0-1.fc23 lxqt-policykit-0.10.0-1.fc23 lxqt-panel-0.10.0-1.fc23 lxqt-openssh-askpass-0.10.0-1.fc23 lxqt-globalkeys-0.10.0-1.fc23 lxqt-config-0.10.0-1.fc23 lxqt-common-0.10.0-1.fc23 lxqt-about-0.10.0-1.fc23 liblxqt-0.10.0-1.fc23 libqtxdg-1.3.0-1.fc23 libsysstat-0.3.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2c5eb8c205
Comment 19 Fedora Update System 2015-11-03 13:57:49 EST
liblxqt-0.10.0-1.fc22, libqtxdg-1.3.0-1.fc22, libsysstat-0.3.1-1.fc22, lxqt-about-0.10.0-1.fc22, lxqt-common-0.10.0-1.fc22, lxqt-config-0.10.0-1.fc22, lxqt-globalkeys-0.10.0-1.fc22, lxqt-openssh-askpass-0.10.0-1.fc22, lxqt-panel-0.10.0-1.fc22, lxqt-policykit-0.10.0-1.fc22, lxqt-powermanagement-0.10.0-1.fc22, lxqt-qtplugin-0.10.0-1.fc22, lxqt-runner-0.10.0-1.fc22, lxqt-session-0.10.0-1.fc22, pcmanfm-qt-0.10.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update lxqt-about lxqt-common lxqt-config lxqt-openssh-askpass lxqt-panel lxqt-policykit lxqt-powermanagement lxqt-qtplugin lxqt-runner lxqt-session pcmanfm-qt lxqt-globalkeys liblxqt libqtxdg libsysstat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1236ae97a3
Comment 20 Fedora Update System 2015-11-03 14:53:48 EST
liblxqt-0.10.0-1.fc23, libqtxdg-1.3.0-1.fc23, libsysstat-0.3.1-1.fc23, lxqt-about-0.10.0-1.fc23, lxqt-common-0.10.0-1.fc23, lxqt-config-0.10.0-1.fc23, lxqt-globalkeys-0.10.0-1.fc23, lxqt-openssh-askpass-0.10.0-1.fc23, lxqt-panel-0.10.0-1.fc23, lxqt-policykit-0.10.0-1.fc23, lxqt-powermanagement-0.10.0-1.fc23, lxqt-qtplugin-0.10.0-1.fc23, lxqt-runner-0.10.0-1.fc23, lxqt-session-0.10.0-1.fc23, pcmanfm-qt-0.10.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update lxqt-about lxqt-common lxqt-config lxqt-openssh-askpass lxqt-panel lxqt-policykit lxqt-powermanagement lxqt-qtplugin lxqt-runner lxqt-session pcmanfm-qt lxqt-globalkeys liblxqt libqtxdg libsysstat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2c5eb8c205
Comment 21 Karel Volný 2015-11-06 12:02:11 EST
repeating steps in comment #16 (btw, it is 'sendkey ctrl-alt-esc', not "escape"), still it doesn't work out of the box with
lxqt-globalkeys-0.10.0-1.fc23.x86_64
xorg-x11-server-utils-7.7-17.fc23.x86_64
(after reboot and creating a fresh user)
Comment 22 Fedora Update System 2015-12-08 14:54:32 EST
liblxqt-0.10.0-1.fc23, libqtxdg-1.3.0-1.fc23, libsysstat-0.3.1-1.fc23, lxqt-about-0.10.0-1.fc23, lxqt-common-0.10.0-1.fc23, lxqt-config-0.10.0-1.fc23, lxqt-globalkeys-0.10.0-1.fc23, lxqt-openssh-askpass-0.10.0-1.fc23, lxqt-panel-0.10.0-1.fc23, lxqt-policykit-0.10.0-1.fc23, lxqt-powermanagement-0.10.0-1.fc23, lxqt-qtplugin-0.10.0-1.fc23, lxqt-runner-0.10.0-1.fc23, lxqt-session-0.10.0-1.fc23, pcmanfm-qt-0.10.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2015-12-08 16:23:49 EST
liblxqt-0.10.0-1.fc22, libqtxdg-1.3.0-1.fc22, libsysstat-0.3.1-1.fc22, lxqt-about-0.10.0-1.fc22, lxqt-common-0.10.0-1.fc22, lxqt-config-0.10.0-1.fc22, lxqt-globalkeys-0.10.0-1.fc22, lxqt-openssh-askpass-0.10.0-1.fc22, lxqt-panel-0.10.0-1.fc22, lxqt-policykit-0.10.0-1.fc22, lxqt-powermanagement-0.10.0-1.fc22, lxqt-qtplugin-0.10.0-1.fc22, lxqt-runner-0.10.0-1.fc22, lxqt-session-0.10.0-1.fc22, pcmanfm-qt-0.10.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Karel Volný 2016-01-05 05:40:56 EST
reopening as per comment #21
... seems that Bodhi needs more AI :-(
Comment 25 Fedora End Of Life 2016-11-24 06:01:14 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 26 Fedora End Of Life 2016-12-20 07:40:39 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.